# -*- coding: utf-8 -*-

from django import forms

from ..models import Contact


class AuthCommercialeForm(forms.ModelForm):
    class Meta:
        model = Contact
        fields = ('auth_materiale_commerciale',)

    def __init__(self, *args, **kwargs):
        super(AuthCommercialeForm, self).__init__(*args, **kwargs)
        self.fields['auth_materiale_commerciale'] = forms.NullBooleanField()
        self.fields['auth_materiale_commerciale'].required = True
        self.fields['auth_materiale_commerciale'].label = "Vuoi ricevere il materiale commerciale"
        self.fields['auth_materiale_commerciale'].help_text = ""
        self.fields['auth_materiale_commerciale'].widget = forms.RadioSelect(
            choices=[
                (True, 'Accetto'),
                (False, 'Non Accetto')
            ]
        )

    def save(self, commit=True):
        contact = super(AuthCommercialeForm, self).save(commit)
        return contact