# -*- coding: utf-8 -*-
from django.db.models.loading import get_model
from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from django.conf import settings
from django.contrib import admin

from admin_tools.menu import items, Menu
from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user


# def get_root_menu(children):
#     user = get_current_user()
#
#     if (
#         user.has_perm("contact.view_contact") and
#         get_model("contact", "contact") in admin.site._registry
#     ):
#         root_menu = items.MenuItem(
#             title=_('Contact'),
#             children=[],
#             url=reverse('admin:contact_contact_changelist')
#         )
#         children.append(root_menu)
#     return None
#
#
# def add_extended_menuitems(children, current_app):
#     generic_menu = GenericMenuItem(current_app, [
#         'contact',
#     ])
#     mailer_menu = generic_menu.get_menu()
#     [children.append(menu) for menu in mailer_menu]
#
#     # contact importation
#     children.append(
#         items.MenuItem(
#             _('Contacts importation'),
#             reverse('admin:contact_contact_import')
#         ),
#     )
#     children.append(
#         items.MenuItem(
#             _('Extra send'),
#             reverse('admin:contact_contact_send_newsletter_extra')
#         ),
#     )

# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

menu_item = items.MenuItem(
    # GENERAL
    _('Contact'),
    reverse('admin:app_list', kwargs={'app_label': 'contact'}),
    children=[
        items.MenuItem(
            _('Contact'),
            '',
            children=[
                items.MenuItem(
                    _('AcomeA Email Object List'),
                    reverse('admin:contact_acomeaemailobject_changelist',)
                ),
                # items.MenuItem(
                #     _('Contacts importation'),
                #     reverse('admin:contact_contact_import')
                # ),
                items.MenuItem(
                    _('Extra send'),
                    reverse('admin:contact_contact_send_newsletter_extra')
                ),
            ]
        ),
    ]
)


register_menu(menu_item, 'acomea.contact')
