"""Command for contacts importation"""

import os
from optparse import make_option
import xlrd

from django.conf import settings
from django.core.management.base import BaseCommand
from django.core.exceptions import MultipleObjectsReturned, ObjectDoesNotExist

from acomea.contact.models import Contact, Email


class Command(BaseCommand):
    """..."""
    help = 'Test send invite'
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='file', help='file'),
    )

    def handle(self, *scripts, **opts):
        file_path = opts.get('file')
        if file_path and os.path.exists(file_path):
            multiple = 0
            only_bonifica = 0
            only_auth_materiale_commerciale = 0
            bonifica = 0
            auth_materiale_commerciale = 0
            not_exists = 0
            both = 0
            workbook = xlrd.open_workbook(file_path)
            sheet = workbook.sheet_by_index(0)
            col = sheet.col_values(0)
            for cell in col:
                try:
                    email = Email.objects.get(email__exact=cell)
                    contact = email.contact

                    if contact.bonifica and not auth_materiale_commerciale:
                        only_bonifica += 1
                    if contact.auth_materiale_commerciale and not contact.bonifica:
                        only_auth_materiale_commerciale += 1
                    if contact.bonifica:
                        bonifica += 1
                    if contact.auth_materiale_commerciale:
                        auth_materiale_commerciale += 1
                    if contact.bonifica and contact.auth_materiale_commerciale:
                        both += 1

                except MultipleObjectsReturned, e:
                    multiple += 1

                except ObjectDoesNotExist, e:
                    not_exists += 1

            print "Contatti con solo flag bonifica: %s" % only_bonifica
            print "Contatti con solo materiale commerciale: %s" % only_auth_materiale_commerciale
            print "Contatti con flag bonifica: %s" % bonifica
            print "Contatti con flag materiale commerciale: %s" % auth_materiale_commerciale
            print "Contatti con flag bonifica e materiale commerciale: %s" % both
            print "Contatti non esistenti: %s" % not_exists
            print "Contatti multipli: %s" % multiple
            print "Contatti controllati: %s" % len(col)

        else:
            print "Specificare il file da controllare con l'opzione -f"