"""Command for contacts importation"""

import os

from django.core.management.base import BaseCommand
from django.utils.translation import ugettext_lazy as _

from optparse import make_option

from acomea.contact.utils import importation

class Command(BaseCommand):
    """..."""
    help = 'Import contacts from file. Fixed structure'
    option_list = BaseCommand.option_list + (
        make_option(
            '-f', '--file', dest='file_path',
            help=_('file to import')
        ),
        make_option(
            '-t', '--type', dest='file_type',
            help=_('xls or csv. The file extension is used if type is not forced')
        ),
    )

    def handle(self, *scripts, **opts):
        file_path = opts.get('file_path')

        file_type = opts.get('file_type')

        if not file_path:
            print _("error: specify file path")
            return

        if not file_type:
            ext = os.path.splitext(file_path)[1].lstrip('.')
            if ext in ('csv', 'xls'):
                file_type = ext
            else:
                print _("specify file type: xls or csv, il file non ha estensione nota")
                return

        importation.import_contacts(
            file_path, type_=file_type, verbosity=int(opts.get('verbosity')))
