"""Command for contacts importation"""

from django.conf import settings

from django.core.management.base import BaseCommand
from django.utils.translation import ugettext_lazy as _

from optparse import make_option

from jmb.mailer.sender import Mailer

from acomea.contact.models import Contact
from acomea.event.models import Event, Invite
from acomea.contact.utils.mailer import send_invite_to_contact

class Command(BaseCommand):
    """..."""
    help = 'Test send invite'
    option_list = BaseCommand.option_list + (
        make_option('-c', '--contact', dest='contact', help='Contact id', default=None),
        make_option('-e', '--event', dest='event', help='Event id', default=None),
    )

    def handle(self, *scripts, **opts):
        contact_id = opts.get('contact')
        event_id = opts.get('event')
        if contact_id and event_id:
            event = Event.objects.get(pk=event_id)
            contact = Contact.objects.get(pk=contact_id)
            Invite.objects.filter(contact=contact, event=event).all().delete()
            send_invite_to_contact(contact, event, test=True, is_task=False)
        else:
            print "Specificare id contatto ed evento con opzioni -c e -e"