# -*- coding: utf-8 -*-
import datetime

from django.db import models


class CampaignManager(models.Manager):

    def filter_by_slug_and_publicated(self, slug):
        now = datetime.datetime.now()
        query = models.Q(date_publication_end__isnull=True)
        query = (query | models.Q(date_publication_end__isnull=False, date_publication_end__gt=now))
        query = query & models.Q(date_publication_start__lte=now, status=1, slug=slug)
        return super(CampaignManager, self).get_query_set().filter(query)


class SourceManager(models.Manager):

    def filter_by_slug_and_publicated(self, slug):
        now = datetime.datetime.now()
        query = models.Q(date_publication_end__isnull=True)
        query = (query | models.Q(date_publication_end__isnull=False, date_publication_end__gt=now))
        query = query & models.Q(date_publication_start__lte=now, status=1, slug=slug)
        return super(SourceManager, self).get_query_set().filter(query)
