#! -*- coding: utf-8 -*-

import datetime
import json
from django.shortcuts import redirect
from django.http import HttpResponse

from jmb.core.utils.functions import import_class
from jmb.mailer.utils.tokens import untokenize
from acomea.contact.models import Contact


def contact_contact_unsubscribe(request, uidb36, token):
    """Return an email in HTML format"""
    #: nel template della newsletter occorre aggiungere
    #: il seguente link:
    #: <a href="http://{{ domain }}{% url contact_contact_unsubscribe uidb36=uidb36 token=token %}">
    #: clicca qui per disiscriversi
    #: </a>
    try:
        email_object = untokenize(uidb36, token)
        address_email = email_object.email_address
        contact = Contact.objects.get(
            emails__email=address_email,
            date_unsubscription__isnull=True
        )
        contact.date_unsubscription = datetime.datetime.now()
        contact.save()
    except:
        pass
    return redirect('/newsletter/success_unsubscribe/')


def contact_contact_privacy_update(request, form):
    user = request.user
    contact = user.contact
    profilo = user.profilo or None
    form_class = import_class(form)
    if request.method == "POST":
        privacy_management_form = form_class(request.POST, instance=contact, profilo=profilo)
        if privacy_management_form.is_valid():
            privacy_management_form.save()
            return HttpResponse(json.dumps({"update_done": True}), content_type="application/json")
    return HttpResponse(json.dumps({"update_done": False}), content_type="application/json")